Create or update roles

Base URL
https://{kibana_url}
  • POST /api/security/roles
Auth

Create or update multiple Kibana roles in a single request.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

roles map string to object required
<string> object
description string · max length: 2048

A description for the role.

elasticsearch object required

The Elasticsearch cluster, index, and remote cluster security privileges for the role.

cluster string[] · max items: 100
run_as string[] · max items: 100
metadata map string to object

Response

Indicates a successful call.

application/json
created string[]
errors map string to object
noop string[]
updated string[]
Base URL
https://{kibana_url}